-- Rendering context
local context = UI.CreateContext("Context")
local window = UI.CreateFrame("SimpleWindow", "MainWindow", context)
local windowdrag = UI.CreateFrame("Frame", "drag frame", window)
local windowOptionsButton = UI.CreateFrame("RiftButton", "OptionsWindowButton", window)
local windowOptions = UI.CreateFrame("SimpleWindow", "OptionsWindow", context)
local windowOptionsFrame = UI.CreateFrame("Frame", "OptionsWindowFrame", windowOptions)
local windowlFrame = UI.CreateFrame("Frame", "ListFrame", window)
local windowListFrame = UI.CreateFrame("SimpleScrollView", "List", window)
local windowList = UI.CreateFrame("SimpleList", "List", window)
local windowSelectCraft = UI.CreateFrame("SimpleList", "List", window)
local windowSelectLevel = UI.CreateFrame("SimpleSelect", "List", window)
local windowSelectLang = UI.CreateFrame("SimpleList", "List", windowOptions)
local windowFontSlider = UI.CreateFrame("SimpleSlider", "Font", windowOptions)
local windowColorSliderR = UI.CreateFrame("SimpleSlider", "ColorR", windowOptions)
local windowColorSliderG = UI.CreateFrame("SimpleSlider", "ColorG", windowOptions)
local windowColorSliderB = UI.CreateFrame("SimpleSlider", "ColorB", windowOptions)
local windowColorSelector = UI.CreateFrame("SimpleList", "ColorList", windowOptions)
local windowOptionsText = {}
for i = 1, 3 do
	windowOptionsText[i] = UI.CreateFrame("Text", "Example"..i, windowOptions)
end
local	pText = {}
local	pitem2 = {}
local	pitem3 = {}
local	pTooltip1 = {}
local	pTooltip2 = {}
for i = 1, 33 do
	pText[i] = UI.CreateFrame("Text","Name1"..i, windowlFrame)
	pTooltip1[i] = UI.CreateFrame("SimpleTooltip","Name1T"..i, windowlFrame)
	pitem2[i] = UI.CreateFrame("Text","Name2"..i,windowlFrame)
	pitem3[i] = UI.CreateFrame("Text","Name3"..i,windowlFrame)
end

local pFound = 0
local clickOffset = {x = 0, y = 0}
local lastsort = ""
local rchcraft = 1
local rchsortminlvl = 1
local rchsortmaxlvl = 20
--sorted = "Dexterity"

function rchShowWindow()
	window:SetVisible(true)
	rchSavedValues.windowstate = 'show'
end

function rchHideWindow()
	window:SetVisible(false)
	rchSavedValues.windowstate = 'hide'
end

local function UpdateRuneList(sorted)
	for i = 1, 33 do
		pText[i]:SetText("")
		pitem2[i]:SetText("")
		pitem3[i]:SetText("")
	end
	pOld = ""
	pName = ""
	pSlot = ""
	pStat = ""
	pLvl = ""
	pSource = ""
	pSourceText = ""
	pQuality = 0
	pExtra = ""
	pComb = {}
	lastsort = sorted
	pFound = 0
	pTextNum = 1
	pTable = {}
	if rchcraft == 1 then pTable = rchLangRunes[rchSavedValues.lang] end
	if rchcraft == 2 then pTable = rchLangRunes[rchSavedValues.lang] end
	if rchcraft == 3 then pTable = rchLangAugs[rchSavedValues.lang] end
	if rchcraft == 4 then pTable = rchLangApoth[rchSavedValues.lang] end
	
	for k, v in pairs(pTable) do
		if (v.stat == sorted) or (v.slot == sorted) then
			pName = v.name
			if v.slot then pSlot = v.slot end
			pStat = v.statname
			if v.reqlvl then pLvl = v.reqlvl end
			pSource = v.source
			pQuality = tonumber(v.quality)
			if (v.slot == sorted) and (pName == pOld) then
				--Dupe Detection
			elseif (rchcraft == 1 or rchcraft == 2) and ((tonumber(v.reqlvl) < rchsortminlvl) or (tonumber(v.reqlvl) > rchsortmaxlvl)) then
			--Req lvl filter
			elseif pTextNum > 33 then
			else
			if rchcraft == 3 then pSourceText = "\n Item Prefix: " else pSourceText = "\n Source: " end
			pExtra = ""
			if (v.extra and string.len(v.extra) > 1) then	pExtra = "\n--------------------\n"..v.extra end
			pComb[pTextNum] = pName.."\n Required Level: "..pLvl..pSourceText..pSource..pExtra
			if pQuality == 0 then
				pText[pTextNum]:SetFontColor(1, 1, 1)
			else
				pText[pTextNum]:SetFontColor(rchColorValues[pQuality].r, rchColorValues[pQuality].g, rchColorValues[pQuality].b)
			end
				pText[pTextNum]:SetPoint("TOPLEFT",windowlFrame,"TOPLEFT", 10, pFound)
				pText[pTextNum]:SetFontSize(rchSavedValues.font)
				pText[pTextNum]:SetText(pName)
				pText[pTextNum]:ResizeToText()
				pitem2[pTextNum]:SetPoint("TOPLEFT",windowlFrame,"TOPLEFT",(280 + (rchSavedValues.font * (rchSavedValues.font - 11))), pFound)
				pitem2[pTextNum]:SetFontSize(rchSavedValues.font)
				pitem2[pTextNum]:SetText(pSlot)
				pitem2[pTextNum]:ResizeToText()
				pitem3[pTextNum]:SetPoint("TOPLEFT",windowlFrame,"TOPLEFT", (400 + (rchSavedValues.font * (rchSavedValues.font - 11))), pFound)
				pitem3[pTextNum]:SetFontSize(rchSavedValues.font)
				pitem3[pTextNum]:SetText(pStat)
				pitem3[pTextNum]:ResizeToText()
				pFound = pFound + (rchSavedValues.font + 3)
				pTooltip1[pTextNum]:SetFontSize(rchSavedValues.font)
				pTextNum = pTextNum + 1
				pOld = pName
			end
		end
	end
	for i = 1, 33 do
		pTooltip1[i]:InjectEvents(pText[i], function ()
		if pComb[i] == nil then pComb[i] = ""
		end
		return pComb[i]
		end)
	end
end



local function createButton()
	rchminiButton = UI.CreateFrame("Texture", "rchMini Button", context)
	rchminiButton:SetWidth(64)
	rchminiButton:SetHeight(64)
	rchminiButton:SetTexture("RunecraftHelper", "Textures\\minirch.dds")
	rchminiButton:SetPoint("TOPLEFT", UIParent, "TOPLEFT", rchSavedValues.locbutx, rchSavedValues.locbuty)
	rchminiButton:SetMouseMasking("limited")
	rchminiButton:SetLayer(1)

	rchminiRealButton = UI.CreateFrame("Texture", "rchmini Real Button", rchminiButton)
	rchminiRealButton:SetWidth(32)
	rchminiRealButton:SetHeight(32)
	rchminiRealButton:SetPoint("CENTER", rchminiButton, "CENTER", 0, 0)
	rchminiRealButton.pressed = false
	rchminiRealButton.dragActive = false

	local buttonTooltip = UI.CreateFrame("Frame",  "Tooltip", context)
	buttonTooltip:SetWidth(220)
	buttonTooltip:SetHeight(100)
	buttonTooltip:SetPoint("BOTTOMLEFT", rchminiRealButton, "BOTTOMLEFT", -130, 70)
	buttonTooltip:SetVisible(false)
	
	
	local buttonTooltipText = UI.CreateFrame("Text", "window", buttonTooltip)
	buttonTooltipText:SetLayer(4)
	buttonTooltipText:SetText("Runecraft Helper")
	buttonTooltipText:SetPoint("TOPLEFT", buttonTooltip, "TOPLEFT", 10, 8)
	buttonTooltipText:SetFontColor(0.97, 0.78, 0.19)
	buttonTooltipText:SetFontSize(15)
	buttonTooltipText:ResizeToText()
	
	local separator = UI.CreateFrame("Mask", "TooltipSeperator", context)
	separator:SetParent(buttonTooltip)
	separator:SetPoint("CENTERX", buttonTooltip, "CENTERX")
	separator:SetPoint("TOP", buttonTooltipText, "BOTTOM")
	separator:SetWidth(200)
	separator:SetHeight(3)
	separator:SetLayer(4)
	
	local buttonTooltipBody = UI.CreateFrame("Text", "Runecraft Helper", buttonTooltip)
	buttonTooltipBody:SetLayer(4)
	buttonTooltipBody:SetText(rchUIStrings[rchSavedValues.lang].tooltip)
	buttonTooltipBody:SetPoint("TOPLEFT", separator, "BOTTOMLEFT")
	buttonTooltipBody:SetPoint("BOTTOMRIGHT", buttonTooltip, "TOPLEFT", 200, 70)
	buttonTooltipBody:SetFontColor(1, 1, 1)
	buttonTooltipBody:SetFontSize(13)
	buttonTooltipBody:SetWordwrap(true)

	function rchminiRealButton.Event:MouseIn()
		buttonTooltip:SetVisible(true)
	end

	function rchminiRealButton.Event:MouseOut()
		buttonTooltip:SetVisible(false)
	end

	function rchminiRealButton.Event:LeftDown()
		rchminiRealButton.pressed = true
	end

	function rchminiRealButton.Event:LeftUp()
		if rchminiRealButton.pressed == true then
			if rchSavedValues.windowstate then
				if rchSavedValues.windowstate == 'hide' then
					rchShowWindow()
				else
					rchSavedValues.windowstate = 'show'
					print (rchUIStrings[rchSavedValues.lang].close)
					rchHideWindow()
				end
			end
		rchminiRealButton.pressed = false
		end
	end

	function rchminiRealButton.Event:LeftUpoutside()
		rchminiRealButton.pressed = false
		rchminiButton:SetTexture("RunecraftHelper", "Textures\\minirch.dds")
	end
--start minibutton drag

	function rchminiRealButton.Event:RightDown()
		rchminiRealButton.dragActive = true
		local mouseStatus = Inspect.Mouse()
		clickOffset["x"] = mouseStatus.x - rchSavedValues.locbutx
		clickOffset["y"] = mouseStatus.y - rchSavedValues.locbuty
	end

	function rchminiRealButton.Event:RightUp()
		rchminiRealButton.dragActive = false
	end

	function rchminiRealButton.Event:RightUpoutside()
		rchminiRealButton.dragActive = false
	end

	function rchminiRealButton.Event:MouseMove(x,y)
		if rchminiRealButton.dragActive == true then
			rchSavedValues.locbutx = x - clickOffset["x"]
			rchSavedValues.locbuty = y - clickOffset["y"]	
			rchminiButton:SetPoint("TOPLEFT", context, "TOPLEFT", rchSavedValues.locbutx, rchSavedValues.locbuty)
		end
end
--end minibutton drag
--end minibutton
end

local function rchCreateWindow()
	window:SetPoint("TOPLEFT", UIParent, "TOPLEFT", rchSavedValues.locmainx, rchSavedValues.locmainy)
	window:SetHeight(210 + (rchSavedValues.font * 33))
	window:SetWidth(260 + (rchSavedValues.font * (60 - rchSavedValues.font)))
	window:SetTitle("Runecraft Helper")
	
	windowdrag:SetPoint("TOPLEFT", window, "TOPLEFT")
	windowdrag:SetHeight(40)
	windowdrag:SetWidth(675)
	
	windowOptionsButton:SetPoint("TOPRIGHT", window, "TOPRIGHT", -20, 50)
	windowOptionsButton:SetText("Options")
	
	windowlFrame:SetBackgroundColor(0, 0, 0, 0.5)
	windowlFrame:SetPoint("TOPLEFT", window, "TOPLEFT", 175, 100)
	windowlFrame:SetHeight(80 + (rchSavedValues.font * 33))
	windowlFrame:SetWidth(60 + (rchSavedValues.font * (60 - rchSavedValues.font)))

	windowListFrame:SetPoint("CENTERLEFT", window:GetContent(), "CENTERLEFT", 10, 0) 
	windowListFrame:SetWidth(140)
	windowListFrame:SetHeight(325)
	windowListFrame:SetBorder(1, 1, 1, 1, 1)

	windowSelectCraft:SetPoint("TOPLEFT", window:GetContent(), "TOPLEFT", 10, 20)
	windowSelectCraft:SetWidth(140)
	windowSelectCraft:SetBorder(1, 1, 1, 1, 1)
	windowSelectCraft:SetItems(rchSelectCraft[rchSavedValues.lang])
	windowSelectCraft:GetItems()
	windowSelectCraft:SetFontSize(rchSavedValues.font)
	windowSelectCraft:SetSelectedIndex(1)

	windowSelectLevel:SetPoint("BOTTOMLEFT", window:GetContent(), "BOTTOMLEFT", 10, -20)
	windowSelectLevel:SetFontSize(rchSavedValues.font)
	windowSelectLevel:SetWidth(140)
	windowSelectLevel:SetBorder(1, 1, 1, 1, 1)
	windowSelectLevel:SetItems(rchSelectLevel)
	windowSelectLevel:GetItems()
	windowSelectLevel:SetSelectedIndex(1)

	windowList:SetItems(rchSelectStrings[rchSavedValues.lang])
	windowListFrame:SetContent(windowList)
	windowList:SetFontSize(rchSavedValues.font)
 	windowListFrame:SetHeight(windowList:GetHeight() + 2)
  
	window.title2a = UI.CreateFrame("Text","title2a",window)
	window.title2a:SetPoint("TOPLEFT",window,"TOPLEFT",185, 70)
	window.title2a:SetLayer(2)
	window.title2a:SetFontColor(1,0.84,0,1)
	window.title2a:SetFontSize(16)
	window.title2a:SetText(rchUIStrings[rchSavedValues.lang].title2a)
	window.title2a:ResizeToText()
	
	window.title2b = UI.CreateFrame("Text","title2b",window)
	window.title2b:SetPoint("TOPLEFT",window,"TOPLEFT",(450 + (rchSavedValues.font * (rchSavedValues.font - 11))), 70)
	window.title2b:SetLayer(2)
	window.title2b:SetFontColor(1,0.84,0,1)
	window.title2b:SetFontSize(16)
	window.title2b:SetText(rchUIStrings[rchSavedValues.lang].title2b)
	window.title2b:ResizeToText()
	
	window.title2c = UI.CreateFrame("Text","title2c",window)
	window.title2c:SetPoint("TOPLEFT",window,"TOPLEFT", (570 + (rchSavedValues.font * (rchSavedValues.font - 11))), 70)
	window.title2c:SetLayer(2)
	window.title2c:SetFontColor(1,0.84,0,1)
	window.title2c:SetFontSize(16)
	window.title2c:SetText(rchUIStrings[rchSavedValues.lang].title2c)
	window.title2c:ResizeToText()
	
	window:SetCloseButtonVisible(true)

	function windowOptionsButton.Event.LeftClick()
		windowOptionsConfig()
	end
	
	windowList.Event.ItemSelect = function(view, item)
		UpdateRuneList(item)
		end
	windowSelectCraft.Event.ItemSelect = function(view, item)
		if item == "Runecraft Stat" then
			rchcraft = 1
			windowSelectLevel:SetVisible(true)
		end
		if item == "Runecraft Slot" then
			rchcraft = 2
			windowSelectLevel:SetVisible(true)
		end
		if item == "Augments" then
			rchcraft = 3
			windowSelectLevel:SetVisible(false)
		end
		if item == "Potions" then
			rchcraft = 4
			windowSelectLevel:SetVisible(false)
		end
		SetrchlanguageText(rchSavedValues.lang)
		UpdateRuneList(lastsort)
		end

	windowSelectLevel.Event.ItemSelect = function(view, item)
		rchsortminlvl = tonumber(string.sub(item, string.find(item, "%d%d")))
		rchsortmaxlvl = tonumber(string.sub(item, string.find(item, "%d%d", 12)))
		UpdateRuneList(lastsort)
		end
		
	function window.Event.Close()
			print (rchUIStrings[rchSavedValues.lang].close)
			rchHideWindow()
	end

	window:SetVisible(rchSavedValues.windowstate == 'show')
	windowdragActive = false

--start window drag
	function windowdrag.Event:LeftDown()
		windowdragActive = true
		local mouseStatus = Inspect.Mouse()
		clickOffset["x"] = mouseStatus.x - rchSavedValues.locmainx
		clickOffset["y"] = mouseStatus.y - rchSavedValues.locmainy
	end

	function windowdrag.Event:LeftUp()
		windowdragActive = false
	end

	function windowdrag.Event:LeftUpoutside()
		windowdragActive = false
	end

	function windowdrag.Event:MouseMove(x,y)
		if windowdragActive == true then
			rchSavedValues.locmainx = x - clickOffset["x"]
			rchSavedValues.locmainy = y - clickOffset["y"]	
			if rchSavedValues.locmainx < -900 then rchSavedValues.locmainx = -900 end
			if rchSavedValues.locmainx > (UIParent:GetRight() - 200) then rchSavedValues.locmainx = (UIParent:GetRight() - 200) end
			if rchSavedValues.locmainy < 0 then locmain["y"] = 0 end
			if rchSavedValues.locmainy > (UIParent:GetBottom() - 200) then rchSavedValues.locmainy = (UIParent:GetBottom() - 200) end
			window:SetPoint("TOPLEFT", context, "TOPLEFT", rchSavedValues.locmainx, rchSavedValues.locmainy)
		end
	end
--end window drag
	
end

function windowOptionsConfig()
	window:SetVisible(false)
	windowOptions:SetPoint("CENTER", UIParent, "CENTER")
	windowOptions:SetWidth(500)
	windowOptions:SetHeight(400)
	windowOptionsFrame:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 185, 85)
	windowOptionsFrame:SetBackgroundColor(0, 0, 0, 0.5)
	windowOptionsFrame:SetLayer(0)
	windowOptionsFrame:SetWidth(260)
	windowOptionsFrame:SetHeight(100)

	windowSelectLang:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 10, 50)
	windowSelectLang:SetWidth(140)
	windowSelectLang:SetBorder(1, 1, 1, 1, 1)
	windowSelectLang:SetItems(rchSelectLang)
	windowSelectLang:GetItems()
	windowSelectLang:SetSelectedIndex(rchSavedValues.lang)
	windowFontSlider:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 200, 50)
	windowFontSlider:SetRange(12, 20)
	windowFontSlider:SetPosition(rchSavedValues.font)
	windowColorSliderR:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 200, 200)
	windowColorSliderR:SetRange(0, 100)
	windowColorSliderG:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 200, 230)
	windowColorSliderG:SetRange(0, 100)
	windowColorSliderB:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 200, 260)
	windowColorSliderB:SetRange(0, 100)
	windowColorSelector:SetPoint("TOPLEFT", windowOptions:GetContent(), "TOPLEFT", 10, 210)
	windowColorSelector:SetWidth(140)
	windowColorSelector:SetBorder(1, 1, 1, 1, 1)
	cselectlist = {"Uncommon", "Rare", "Epic"}
	windowColorSelector:SetItems(cselectlist)
	windowColorSelector:SetSelectedIndex(1)
	windowSelectLang:SetFontSize(rchSavedValues.font)
	windowColorSelector:SetFontSize(rchSavedValues.font)
	windowColorSliderR:SetPosition(rchColorValues[1].r * 100)
	windowColorSliderG:SetPosition(rchColorValues[1].g * 100)
	windowColorSliderB:SetPosition(rchColorValues[1].b * 100)
	for i = 1, 3 do
		windowOptionsText[i]:SetPoint("TOPLEFT", windowOptionsFrame, "TOPLEFT", 5, (5 + (30 * (i - 1))))
		windowOptionsText[i]:SetFontSize(rchSavedValues.font)
		windowOptionsText[i]:SetFontColor(rchColorValues[i].r, rchColorValues[i].g, rchColorValues[i].b )
		windowOptionsText[i]:SetText(rchOptionsText[i])
		windowOptionsText[i]:SetWidth(260)
		windowOptionsText[i]:SetHeight(50)
		windowOptionsText[i]:ResizeToText()
	end
	
	windowOptions:SetCloseButtonVisible(true)
	windowOptions:SetVisible(true)
	
	windowColorSelector.Event.ItemSelect = function(view, item)
		sel = windowColorSelector:GetSelectedIndex()
		if sel == nil then sel = 1 end
		SliderPosition(sel)
	end

	windowSelectLang.Event.ItemSelect = function(view, item)
	if item == "English" then rchSavedValues.lang = 1 end
	if item == "German" then rchSavedValues.lang = 2 end
	if item == "French" then rchSavedValues.lang = 3 end
	SetrchlanguageText(rchSavedValues.lang)
	UpdateRuneList(lastsort)
	end
	function SliderPosition(index)
		windowColorSliderR:SetPosition(rchColorValues[index].r * 100)
		windowColorSliderG:SetPosition(rchColorValues[index].g * 100)
		windowColorSliderB:SetPosition(rchColorValues[index].b * 100)
	end
	function windowFontSlider.Event.SliderChange()
		rchSavedValues.font = windowFontSlider:GetPosition()
		for i = 1, 3 do
		windowOptionsText[i]:SetFontSize(rchSavedValues.font)
		windowOptionsText[i]:ResizeToText()
		windowSelectLang:SetFontSize(rchSavedValues.font)
		windowColorSelector:SetFontSize(rchSavedValues.font)
		windowList:SetFontSize(rchSavedValues.font)
		windowSelectLevel:SetFontSize(rchSavedValues.font)
		windowSelectCraft:SetFontSize(rchSavedValues.font)
		end
	end

	function windowColorSliderR.Event.SliderChange()
		sel = windowColorSelector:GetSelectedIndex()
		if sel == 1 then
			rchColorValues[1].r = (windowColorSliderR:GetPosition() / 100)
			windowOptionsText[1]:SetFontColor(rchColorValues[1].r, rchColorValues[1].g, rchColorValues[1].b)
		end
		if sel == 2 then
			rchColorValues[2].r = (windowColorSliderR:GetPosition() / 100)
			windowOptionsText[2]:SetFontColor(rchColorValues[2].r, rchColorValues[2].g, rchColorValues[2].b)
		end
		if sel == 3 then
			rchColorValues[3].r = (windowColorSliderR:GetPosition() / 100)
			windowOptionsText[3]:SetFontColor(rchColorValues[3].r, rchColorValues[3].g, rchColorValues[3].b)
		end
	end

	function windowColorSliderG.Event.SliderChange()
		sel = windowColorSelector:GetSelectedIndex()
		if sel == 1 then
			rchColorValues[1].g = (windowColorSliderG:GetPosition() / 100)
			windowOptionsText[1]:SetFontColor(rchColorValues[1].r, rchColorValues[1].g, rchColorValues[1].b)
		end
		if sel == 2 then
			rchColorValues[2].g = (windowColorSliderG:GetPosition() / 100)
			windowOptionsText[2]:SetFontColor(rchColorValues[2].r, rchColorValues[2].g, rchColorValues[2].b)
		end
		if sel == 3 then
			rchColorValues[3].g = (windowColorSliderG:GetPosition() / 100)
			windowOptionsText[3]:SetFontColor(rchColorValues[3].r, rchColorValues[3].g, rchColorValues[3].b)
		end
	end

	function windowColorSliderB.Event.SliderChange()
		sel = windowColorSelector:GetSelectedIndex()
		if sel == 1 then
			rchColorValues[1].b = (windowColorSliderB:GetPosition() / 100)
			windowOptionsText[1]:SetFontColor(rchColorValues[1].r, rchColorValues[1].g, rchColorValues[1].b)
		end
		if sel == 2 then
			rchColorValues[2].b = (windowColorSliderB:GetPosition() / 100)
			windowOptionsText[2]:SetFontColor(rchColorValues[2].r, rchColorValues[2].g, rchColorValues[2].b)
		end
		if sel == 3 then
			rchColorValues[3].b = (windowColorSliderB:GetPosition() / 100)
			windowOptionsText[3]:SetFontColor(rchColorValues[3].r, rchColorValues[3].g, rchColorValues[3].b)
		end
		
	end

	function windowOptions.Event.Close()
		resizeWindow()
		window:SetVisible(true)
		UpdateRuneList(lastsort)
	end

end

function resizeWindow()
		window:SetWidth(260 + (rchSavedValues.font * (60 - rchSavedValues.font)))
		windowlFrame:SetWidth(60 + (rchSavedValues.font * (60 - rchSavedValues.font)))
		window:SetHeight(210 + (rchSavedValues.font * 33))
		windowlFrame:SetHeight(80 + (rchSavedValues.font * 33))
		window.title2b:SetPoint("TOPLEFT",window,"TOPLEFT", (450 + (rchSavedValues.font * (rchSavedValues.font - 11))), 70)
		window.title2c:SetPoint("TOPLEFT",window,"TOPLEFT", (570 + (rchSavedValues.font * (rchSavedValues.font - 11))), 70)
end

function SetrchlanguageText(i)
	window.title2a:SetText(rchUIStrings[i].title2a)
	window.title2b:SetText(rchUIStrings[i].title2b)
	window.title2c:SetText(rchUIStrings[i].title2c)
	if rchcraft == 1 then
		window.title2b:ResizeToText()
	end
	if rchcraft == 2 then
		window.title2b:ResizeToText()
	end
	if rchcraft == 3 then
		window.title2b:SetText("")
	end
	if rchcraft == 4 then
		window.title2b:SetText(rchUIStrings[i].title2f)
		window.title2b:ResizeToText()
	end
	temp = (i + (3 * (rchcraft -1)))
	windowList:SetItems(rchSelectStrings[temp])
	windowList:GetItems()
	windowListFrame:SetHeight(windowList:GetHeight() + 2)
	windowList:SetSelectedIndex(1)
end

local function loadSettings()
	windowOptions:SetVisible(false)
	print ("Welcome to Runecraft Helper! \n Use /rch to toggle the display.")
	if rchSavedValues == nil then
		rchSavedValues = {windowstate = "show", locmainx = 0, locmainy = 0, locbutx = 0, locbuty = 0, font = 14, lang = 1}
		rchSavedValues.locmainx = ((UIParent:GetRight() / 2) - 400)
		rchSavedValues.locmainy = ((UIParent:GetBottom() / 2) - 500)
		rchSavedValues.locbutx = ((UIParent:GetRight() / 2) - 32)
		rchSavedValues.locbuty = ((UIParent:GetBottom() / 2) - 32)
	end
	if rchColorValues == nil then
		rchColorValues = {{r = 0.1, g = 0.9, b = 0.1},
						{r = 0, g = 0.35, b = 1},
						{r = 0.5, g = 0, b = 0.5}}
	end
	if rchSavedValues.windowstate == 'hide' then
		print (rchUIStrings[rchSavedValues.lang].close)
	else
		rchSavedValues.windowstate = 'show'
	end
	createButton()
	rchCreateWindow()
end

local function rchResetSettings(params)
		rchSavedValues.windowstate = 'show'
		rchSavedValues.locmainx = ((UIParent:GetRight() / 2) - 400)
		rchSavedValues.locmainy = ((UIParent:GetBottom() / 2) - 500)
		rchSavedValues.locbutx = ((UIParent:GetRight() / 2) - 32)
		rchSavedValues.locbuty = ((UIParent:GetBottom() / 2) - 32)
		window:SetPoint("TOPLEFT", context, "TOPLEFT", rchSavedValues.locmainx, rchSavedValues.locmainy)
		rchminiButton:SetPoint("TOPLEFT", context, "TOPLEFT", rchSavedValues.locbutx, rchSavedValues.locbuty)
end


local function rchSlashCommand(params)
	if rchSavedValues.windowstate then
		if rchSavedValues.windowstate == 'hide' then
			rchShowWindow()
		else
			rchSavedValues.windowstate = 'show'
			print (rchUIStrings[rchSavedValues.lang].close)
			rchHideWindow()
		end
	end
end

table.insert (Command.Slash.Register("rch"), {rchSlashCommand, "RunecraftHelper", "rchSlashCommand"})
table.insert (Command.Slash.Register("rchreset"), {rchResetSettings, "RunecraftHelper", "rchResetSettings"})
table.insert (Event.Addon.Startup.End, {loadSettings, "RunecraftHelper", "loadSettings"})
